from types import DictType, FileType, StringType, UnicodeType
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.Expression import Expression, createExprContext
from Products.Archetypes.debug import log
from Products.Archetypes.utils import className, unique, capitalize
from Products.generator.widget import macrowidget
from Products.Archetypes.Widget import TypesWidget

from Acquisition import aq_base, aq_parent

try:
    True
except NameError:
    True=1
    False=0


class DataGridWidget(TypesWidget):
    _properties = TypesWidget._properties.copy()
    _properties.update({
        'macro' : "datagridwidget",
        'helper_js': ('datagridwidget.js',), 
        })


__all__ = ('DataGridWidget')

from Products.Archetypes.Registry import registerWidget

registerWidget(DataGridWidget,
               title='Data Grid',
               description=('A data grid, like a spreadsheet'),
               used_for=('Products.DataGridField.DataGridField',)
               )

