from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import DisplayList

from Products.SCAuditorium.Widgets import *

VIEW_PERMISSION = CMFCorePermissions.View
EDIT_PERMISSION = CMFCorePermissions.ModifyPortalContent
MODERATE_PERMISSION = 'SCAuditorium: moderate'

POST_PERMISSION = 'SCAuditorium: Post items'

# product dependencies
DEPENDENCIES = (
    'Archetypes',
    'DataGridField',
    )


# portrait sizes
from Products.Archetypes.public import DisplayList

VOC_PORTRAIT_SIZES = DisplayList((
    ('32', 'Small', 'display_small',),
    ('64', 'Medium', 'display_medium'),
    ('100', 'Large', 'display_large'),
    ))

VOC_DATE_FORMATS = DisplayList((
    ('0', 'Short', 'dformat_short',),
    ('1', 'Long', 'dformat_long',),
    ))

DEFAULT_ALLOWED_HTML_TAGS = ('b', 'strong', 'p', 'img', 'a', 'br', 'i')    
