## Script (Python) "scaCreatePost"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=id=None,type_name=None,script_id=None
##title=
##

from DateTime import DateTime
from Products.CMFPlone import transaction_note
REQUEST=context.REQUEST
portal_status_message = None

bodyValue = REQUEST.get('body', '')
if bodyValue == '':
    portal_status_message = context.translate(msgid='sca_pmessage_empty_body', domain='SCAuditorium', default='Post body has to be entered.')
    ad = context.getAuditorium()
    context.REQUEST.RESPONSE.redirect(ad.absolute_url() + '?portal_status_message=' + portal_status_message)
    return

if id is None:
    id=context.generateUniqueId(type_name)

if type_name is None:
    raise Exception, 'Type name not specified'

context.invokeFactory('SCAuditoriumItem', id)
obj = context[id]
obj.setTitle(None)
obj.setBody(bodyValue)

obj.reindexObject()

if obj is None:
    raise Exception
else:
    portal_status_message = context.translate(msgid='sca_pmessage_item_created', domain='SCAuditorium', default='Auditorium post created.')

if obj.getTypeInfo().getActionById('edit', None) is None:
    state.setStatus('success_no_edit')

if script_id:
    state.setId(script_id)

if portal_status_message:
    state.set(portal_status_message=portal_status_message)
return state.set(context=obj)
