## Script (Python) "scaGetPosts"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=rstate=None,sort_attr=None
##title=Get posts for current Auditorium.
##

request = context.REQUEST
auditorium = context.getAuditorium()
pth = '/'.join(auditorium.getPhysicalPath())
query={'portal_type':'SCAuditoriumItem', 'sort_on':'created', 'sort_order':'reverse', 'path':pth}

# Posts search (not implemented in templates yet)
search_text = request.get('sca_search_text', None)

author  = request.get('author', None)

if search_text:
    query['SearchableText'] = search_text

if rstate and rstate != 'all':
    query['review_state'] = rstate

if author:
    query['Creator'] = author

if sort_attr:
    query['sort_on'] = sort_attr

results = container.portal_catalog(**query)

return results
